
set(ALLEGRO4_FOUND FALSE)

set(ALLEGRO4_LIBRARY_DIRS)
set(ALLEGRO4_LIBRARIES)
set(ALLEGRO4_INCLUDE_DIRS)

execute_process(COMMAND allegro-config --libs --cflags RESULT_VARIABLE cfg_error OUTPUT_VARIABLE cfg_result)

if(NOT cfg_error)
  string(REGEX REPLACE "[\r\n]" " " cfg_result "${cfg_result}")
  string(REGEX REPLACE " +$" "" cfg_result "${cfg_result}")

  separate_arguments(cfg_result)
  foreach(arg ${cfg_result})
     if("${arg}" MATCHES "^-I")
       string(REGEX REPLACE "^-I" "" arg "${arg}")
       list(APPEND ALLEGRO4_INCLUDE_DIRS "${arg}")
     endif()
     if("${arg}" MATCHES "^-L")
       string(REGEX REPLACE "^-L" "" arg "${arg}")
       list(APPEND ALLEGRO4_LIBRARY_DIRS "${arg}")
     endif()
     if("${arg}" MATCHES "^-l")
       string(REGEX REPLACE "^-l" "" arg "${arg}")
       list(APPEND ALLEGRO4_LIBRARIES "${arg}")
     endif()
  endforeach()
  set(ALLEGRO_LFLAGS ${cfg_result})
  set(ALLEGRO4_FOUND TRUE)
else()
  find_path(ALLEGRO4_INCLUDE_DIR allegro.h)
  find_library(ALLEGRO4_LIBRARY NAMES alleg)

  include(FindPackageHandleStandardArgs)
  find_package_handle_standard_args(ALLEGRO4 DEFAULT_MSG ALLEGRO4_INCLUDE_DIRS ALLEGRO4_LIBRARIES)

endif()

